/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class SoundexCode {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));
  
  /* Fonction principale                                  */
  
  public static void main(String [] args) throws IOException {
    String nom;               // Nom a traiter
    String code;              // Code genere
  /* Lecture clavier du nom a traiter                     */
    System.out.print("Nom a traiter : ");
    nom = flux.readLine();
  /* Mise en majuscule du nom a traiter                   */
    nom = nom.toUpperCase();
  /* Initialisation du code avec la chaine de caracteres  */
  /* composee du premier caractere du nom a traiter       */
    code = nom.substring(0,1);
  /* Boucle principale de traitement des autres lettres   */
  /* du nom a traiter                                     */
    for ( int i = 1 ; i < nom.length() ; i++ ) {
  /* Extraction d'un caractere du nom a traiter           */
      char lettre = nom.charAt(i);
  /* Suppression des voyelles et des doublons             */
      if ( ( lettre != 'A' ) &&
           ( lettre != 'E' ) &&
           ( lettre != 'I' ) &&
           ( lettre != 'O' ) &&
           ( lettre != 'U' ) &&
           ( lettre != 'Y' ) &&
           ( lettre != nom.charAt(i-1) ) )
  /* Ajout de la lettre conservee au bout du code         */
        code = code + lettre; }
  /* Conservation des seuls 4 premiers caracteres du code */
    if ( code.length() > 4 )
      code = code.substring(0,4);
    System.out.println(code);
  }
}